<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Moja strona WWW</title>
  </head>
  <body>
    <?php
    if (!$db_lnk = sqlite_open("/var/wwwdata/testphp.db", 0666, $msg)){
      echo 'Wystąpił błąd podczas próby połączenia z bazą...<br>';
      echo "Komunikat błędu: $msg";
      echo "</body></html>";
      exit;
    }

    $query = 'SELECT * FROM Osoba';

    if(!$arr = sqlite_array_query($db_lnk, $query)){
      sqlite_close();
      echo 'Błąd: nieprawidłowe zapytanie...<br>';
      echo '</body></html>';
      exit;
    }
    ?>
    
    <table>
      <tr>
        <td>Id</td>
        <td>Imię</td>
        <td>Nazwisko</td>
        <td>Rok urodzenia</td>
        <td>Miejsce urodzenia</td>
      </tr>

    <?php
      foreach($arr as $row){
        echo "<tr>";
        echo "<td>$row[0]</td>";
        echo "<td>$row[1]</td>";
        echo "<td>$row[2]</td>";
        echo "<td>$row[3]</td>";
        echo "<td>$row[4]</td>";
        echo "</tr>";
      }

      sqlite_close($db_lnk);
    ?>
    
    </table>
  </body>
</html>
